import { jsx } from "react/jsx-runtime";
import "react";
import { observer } from "@tachybase/schema";
import { Pagination } from "antd";
import { withDynamicSchemaProps } from "../../../application/hoc/withDynamicSchemaProps.mjs";
import { useProps } from "../../hooks/useProps.mjs";
import { withAutoQuickJumper } from "./utils.mjs";
export * from "./utils.mjs";
const pagination_Pagination = withDynamicSchemaProps(observer((props)=>{
    const { hidden, ...others } = useProps(props);
    if (hidden) return null;
    const onKeypress = (e)=>{
        if ('Enter' === e.key) e.preventDefault();
    };
    return /*#__PURE__*/ jsx("div", {
        onKeyPress: onKeypress,
        children: /*#__PURE__*/ jsx(Pagination, {
            ...withAutoQuickJumper(others)
        })
    });
}, {
    displayName: 'Pagination'
}));
export { pagination_Pagination as Pagination };
